> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadcab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get card secrets



## OpenAPI

````yaml POST /cards/private
openapi: 3.1.0
info:
  title: Nadcab Labs Card Issuing API
  version: 1.0.0
  description: >-
    Issue and manage crypto-funded virtual and physical cards, cardholders,
    wallet deposits and remittances.
servers:
  - url: https://cc.nadcab.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Card BINs
    description: List card BINs you can issue on.
  - name: Account
    description: Wallet balance, deposits and withdrawals.
  - name: API settings
    description: Webhook URL, IP allowlist and card data encryption key.
  - name: Cards
    description: Create, fund, freeze and close cards.
  - name: Cardholders
    description: Create and manage cardholders for B2C card programs.
  - name: Remittance
    description: Send fiat bank transfers funded from your wallet.
paths:
  /cards/private:
    post:
      tags:
        - Cards
      summary: Get card secrets
      operationId: getCardSecrets
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                cardId:
                  type: string
                  example: CA2407261115208
                  description: Card ID
              required:
                - cardId
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      card_no:
                        type: string
                      cvv:
                        type: string
                      expire_date:
                        type: string
                      pan:
                        type: string
                        description: >-
                          Encrypted card data (returned once a public key is
                          configured). Decrypt with your private key to get the
                          card details
                    required:
                      - card_no
                      - cvv
                      - expire_date
                      - pan
                required:
                  - code
                  - msg
                  - data
              example:
                code: 200
                msg: success
                data:
                  card_no: 493728******6685
                  cvv: '***'
                  expire_date: '**/****'
                  pan: >-
                    U00tt5dzeV2bK2veQ8U1C+KBE2dCqQdfm3ep106lWPvWcagcezTudyMR+FbQXNcVu8eq/KvFRspKOih5aArlgChOXR1N3oPNgTSzhpQoXUc8twc5Dpc1Qn7u0QNcurXh/MtSPFyGQX917LcTPN49fcONBWwwN5QWeaD1D6tYlpg=
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your API key from Console → Settings → Key & Access, sent as
        `Authorization: Bearer ncl_...`.

````